Quantcast

maven site broken on table generation

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

maven site broken on table generation

Huang, Thomas (388J)
Hi,

I am using Maven 2.2.1 and mave-site-plugin 2.1.1.  When I run 'maven site', it gives me an error on parsing my APT file on table generation.  It is stopped on the first line where I defined the table with

*--                    +                +               +
|
*--
...


This used to worked and no change was made to my APT file.  I have tried older versions of the plugin.  The 2.1 plugin emit the same error.  All 2.0.x plugins emil an arrayoutofbound exception.  This is blocking my site deploy.  Please advice.


Thomas.




Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: maven site broken on table generation

Dennis Lundberg-2
On 2010-11-09 22:25, Huang, Thomas (388J) wrote:
> Hi,
>
> I am using Maven 2.2.1 and mave-site-plugin 2.1.1.  When I run 'maven site', it gives me an error on parsing my APT file on table generation.  It is stopped on the first line where I defined the table with
>
> *--                    +                +               +
> |
> *--
> ...

I ran into a similar issue about a week ago. The problem was that some
rows in the table didn't have enough rows in it. It was not the lines of
data in the APT file, but rather the formatting rows that contained the
error.

*-------------------------------------------------------------+-------+----------------------------------------------+
| {{{./jboss-packaging-maven-plugin/} <<<jboss-packaging>>>}} | 2.1.1 |
*-------------------------------------------------------------+------------------------------------------------------+

The last line above needed to be replace with this one (notice the added
+ character)

*-------------------------------------------------------------+-------+----------------------------------------------+


See this URL (which seems to currently be down) for what I did to fix it:
http://fisheye.codehaus.org/changelog/mojo/?cs=12955

>
> This used to worked and no change was made to my APT file.  I have tried older versions of the plugin.  The 2.1 plugin emit the same error.  All 2.0.x plugins emil an arrayoutofbound exception.  This is blocking my site deploy.  Please advice.
>
>
> Thomas.
>
>
>
>
>


--
Dennis Lundberg
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: maven site broken on table generation

Lukas Theussl-4

There are 2 issues here: the one that Dennis pointed out that the last
line of the table has to match the first; the other that you can't have
all cells in all rows empty. Just add at least one row with at least one
non-empty cell to make it work.

Since you say that this used to work, it would help to know in which
version the regression happened, I have tried with 2.0 site plugin (you
also have to downgrade the project-info-report-plugin then to avoid the
ArrayIndexOutOfBounds) and got the same exception.

HTH,
-Lukas


On 11/10/2010 07:33 AM, Dennis Lundberg wrote:

> On 2010-11-09 22:25, Huang, Thomas (388J) wrote:
>> Hi,
>>
>> I am using Maven 2.2.1 and mave-site-plugin 2.1.1.  When I run 'maven site', it gives me an error on parsing my APT file on table generation.  It is stopped on the first line where I defined the table with
>>
>> *--                    +                +               +
>> |
>> *--
>> ...
>
> I ran into a similar issue about a week ago. The problem was that some
> rows in the table didn't have enough rows in it. It was not the lines of
> data in the APT file, but rather the formatting rows that contained the
> error.
>
> *-------------------------------------------------------------+-------+----------------------------------------------+
> | {{{./jboss-packaging-maven-plugin/}<<<jboss-packaging>>>}} | 2.1.1 |
> *-------------------------------------------------------------+------------------------------------------------------+
>
> The last line above needed to be replace with this one (notice the added
> + character)
>
> *-------------------------------------------------------------+-------+----------------------------------------------+
>
>
> See this URL (which seems to currently be down) for what I did to fix it:
> http://fisheye.codehaus.org/changelog/mojo/?cs=12955
>
>>
>> This used to worked and no change was made to my APT file.  I have tried older versions of the plugin.  The 2.1 plugin emit the same error.  All 2.0.x plugins emil an arrayoutofbound exception.  This is blocking my site deploy.  Please advice.
>>
>>
>> Thomas.
>>
>>
>>
>>
>>
>
>
Loading...